### A free/open-source library for quantitative finance

Classes | Functions
ql/experimental/commodities/commoditycurve.hpp File Reference

Commodity curve. More...

`#include <ql/termstructure.hpp>`
`#include <ql/experimental/commodities/commoditytype.hpp>`
`#include <ql/experimental/commodities/unitofmeasure.hpp>`
`#include <ql/experimental/commodities/exchangecontract.hpp>`
`#include <ql/currency.hpp>`
`#include <ql/math/interpolations/forwardflatinterpolation.hpp>`
Include dependency graph for commoditycurve.hpp:

## Classes

class | CommodityCurve
| Commodity term structure. More...

## Functions

bool | operator== (const CommodityCurve &c1, const CommodityCurve &c2)

## Detailed Description

Commodity curve.